Update Dataset Structure
curl --request PATCH \
--url https://api.example.com/api/datasets/{dataset_id}/structure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"canonical_classes": [
"<string>"
],
"class_rules": [
{
"matcher_value": "<string>",
"id": "<string>",
"enabled": true,
"matcher_type": "prefix",
"target_class": "<string>",
"exclude": false,
"priority": 0
}
],
"ignored_paths": [
"<string>"
],
"engine_overrides": {},
"folder_attribute_names": {},
"segmentation_label_names": {}
}
'import requests
url = "https://api.example.com/api/datasets/{dataset_id}/structure"
payload = {
"canonical_classes": ["<string>"],
"class_rules": [
{
"matcher_value": "<string>",
"id": "<string>",
"enabled": True,
"matcher_type": "prefix",
"target_class": "<string>",
"exclude": False,
"priority": 0
}
],
"ignored_paths": ["<string>"],
"engine_overrides": {},
"folder_attribute_names": {},
"segmentation_label_names": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
canonical_classes: ['<string>'],
class_rules: [
{
matcher_value: '<string>',
id: '<string>',
enabled: true,
matcher_type: 'prefix',
target_class: '<string>',
exclude: false,
priority: 0
}
],
ignored_paths: ['<string>'],
engine_overrides: {},
folder_attribute_names: {},
segmentation_label_names: {}
})
};
fetch('https://api.example.com/api/datasets/{dataset_id}/structure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Update Dataset Structure
PATCH
/
api
/
datasets
/
{dataset_id}
/
structure
Update Dataset Structure
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Cookies
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
The response is of type Response Update Dataset Structure Api Datasets Dataset Id Structure Patch · object.
⌘I

